module DoubleAuthEngine
  module UserSessionsControllerMixin
    def self.included(base)
      base.class_eval do
        skip_before_filter :require_user, :only => [:new, :create]
        respond_to :html, :json, :js
      end
      base.send :include, InstanceMethods
    end

    module InstanceMethods
      def new
        @user_session = UserSession.new
        render :layout => false
      end

      def create
        @user_session = UserSession.new(params[:user_session])
        if @user_session.save
          redirect_to root_url
        else
          render :action => 'new', :layout => false
        end
      end

      def destroy
        @user_session = UserSession.find(params[:id])
        @user_session.destroy
        flash[:notice] = 'Successfully logged out'
        redirect_to root_url
      end
    end
  end
end
